%global         momorel 1

Summary:        Google C++ Mocking Framework
Name:           gmock
Version:        1.7.0
Release:        %{momorel}m%{?dist}
License:        BSD
Group:          System Environment/Libraries
URL:            http://code.google.com/p/googlemock/
#Source0:        http://googlemock.googlecode.com/files/gmock-%{version}.tar.bz2
Source0:        https://github.com/google/googlemock/archive/release-%{version}/googlemock-release-%{version}.tar.gz
NoSource:       0
# import from gtest/m4/acx_pthread.m4
Source1:        acx_pthread.m4
Patch0:         install.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gtest-devel >= 1.5.0
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  python
Requires:       gtest >= 1.5.0

%description
Inspired by jMock, EasyMock, and Hamcrest, and designed with C++'s
specifics in mind, Google C++ Mocking Framework (or Google Mock for
short) is a library for writing and using C++ mock classes.

Google Mock:

 o lets you create mock classes trivially using simple macros,
 o supports a rich set of matchers and actions,
 o handles unordered, partially ordered, or completely ordered
   expectations,
 o is extensible by users, and
 o works on Linux, Mac OS X, Windows, Windows Mobile, minGW, and
   Symbian.

%package        devel
Summary:        Development files for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%prep
%setup -q -n googlemock-release-%{version}
# Only acx_pthread.m4 needed from gtest, 
# save the rest for use in make check
#mv gtest gtest.rpmbuild
#install -D -p -m 0644 gtest.rpmbuild/m4/acx_pthread.m4 \
#    gtest/m4/acx_pthread.m4 
install -D -p -m 0644 %{SOURCE1} \
    gtest/m4/acx_pthread.m4 

%patch0 -p1

%build
# needed for mahe check to work without failures
autoreconf -fvi     
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALL="%{__install} -p" DESTDIR=%{buildroot}

#%check
# restore gtest for make check to work
#rm -rf gtest
#mv gtest.rpmbuild gtest
#make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%doc CHANGES CONTRIBUTORS README

%files devel
%defattr(-, root, root, -)
%{_bindir}/gmock-config
%{_includedir}/../src/%{name}/
%{_includedir}/%{name}/
%{_datadir}/pkgconfig/*
%{_datadir}/%{name}/generator/

%changelog
* Mon Jul 31 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (1.7.0-1m)
- update 1.7.0

* Sat Dec 15 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.5.0-1m)
- import from Fedora

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jan 12 2011 Terje Rosten <terje.rosten@ntnu.no> - 1.5.0-1
- 1.5.0
- req gtest 1.5.0
- fix description
- fix group
- fix files section
- remove name macro
- rpmlint error free
- don't build with bundled gtest
- make check works
- add some buildreqs

* Sun Oct 4 2009 Tejas Dinkar <tejas@gja.in> - 1.4.0-1
- Initial gmock 1.4.0
